﻿
using System;
using System.Collections.Generic;
using Wisej.Web;
using Wisej.Web.Ext.RibbonBar;

namespace RibbonBarComboBoxBinding
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            var data = new List<DataItem>
            {
                new DataItem() { Text = "Item 1", Value = 1 },
                new DataItem() { Text = "Item 2", Value = 2 }
            };

            this.comboBox1.DataSource = data;
            this.comboBox1.DisplayMember = "Text";
            this.comboBox1.ValueMember = "Value";

            comboBox1.SelectedIndexChanged += ComboBox_SelectedIndexChanged;
        }

        private void ComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            var comboBox = sender as ComboBox;
            var selectedItem = comboBox.SelectedItem as DataItem;
            if (selectedItem != null)
                MessageBox.Show($"Selected item: {selectedItem.Text}");
        }
    }

    class DataItem
    {
        public string Text { get; set; }
        public int Value { get; set; }
    }
}
